package kr.co.hanwha.hifive.view;

import android.graphics.Color;
import android.text.TextPaint;
import android.text.style.ClickableSpan;
import android.view.View;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class NonUnderlineClickSpan extends ClickableSpan {
    @Override
    public void onClick(View widget) {

    }

    int color = Color.parseColor("#000000");

    public NonUnderlineClickSpan() {
        super();
    }

    public NonUnderlineClickSpan(int color) {
        super();
        this.color = color;
    }


    @Override
    public void updateDrawState(TextPaint ds) {
//		super.updateDrawState(ds);
//		ds.setColor(ds.linkColor);
        ds.setColor(color);
        ds.setUnderlineText(false);    // set to false to remove underline
    }
}